package forward

import (
	"duoduo/tools"
	"duoduo/tools/app"
	"github.com/gin-gonic/gin"
	"io/ioutil"
)

func LiHongFei(c *gin.Context) {

	var dat interface{}

	fun := c.Request.Header.Get("function")
	body, err := ioutil.ReadAll(c.Request.Body)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}
	val, err := PostForward(body, fun)
	if err != nil {
		app.Error(c, 500, err, err.Error())
	}
	err = tools.JsonUnmarshal(val, &dat)
	if err != nil {
		app.Error(c, 500, err, err.Error())
	}

	c.JSON(200, dat)

}
