package pdd

import "github.com/gin-gonic/gin"

//拼多多 多多客接口
func InitPddDdkRouter(engine *gin.RouterGroup) {
	v1 := engine.Group("v1")
	{
		v1.POST("/pdd/ddk/search", PddDdkGoodsSearch)                 //多多客  商品查询
		v1.POST("/pdd/ddk/detail", PddDdkGoodsDetail)                 //多多客  商品详情
		v1.POST("/pdd/pid/generate", PddDdkGoodsPidGenerate)          //多多客 生成pid
		v1.POST("/pdd/url/generate", PddDdkGoodsPromotionUrlGenerate) //多多客 生成单品推广链接                                        //多多客 生成单品推广链接
		v1.POST("/pdd/order/list", PddDdkOrderListIncrementGet)
		v1.POST("/pdd/pid/query", PddDdkGoodsPidQuery)
		v1.POST("/pdd/recommend/get", DdkGoodsRecommendGet) //多多进宝商品推荐API
	}
}
func InitSetRouter(engine *gin.RouterGroup) {
	v1 := engine.Group("v1")
	{
		v1.POST("/set", Set) //
	}
}

//1.创建 pid
//2.获取code   授权 获取token
//3.pdd.ddk.oauth.goods.prom.url.generate   授权推手 跳转领券
