package main

import (
	"duoduo/conf"
	"duoduo/database"
	"duoduo/report"
	"duoduo/routers"
	"fmt"
	"os"
)

func main() {

	for idx, args := range os.Args {

		if idx == 1 {
			conf.Model = args
			fmt.Print("model = ", conf.Model)
		}

	}
	database.Setup()
	report.SysCronStart()
	routers.InitRouter()
}
