package pdd

type ErrorPddResponse struct {
	ErrorResponse ErrorResponse `json:"error_response"`
}
type ErrorResponse struct {
	ErrorMsg  string `json:"error_msg"`
	SubMsg    string `json:"sub_msg"`
	SubCode   string `json:"sub_code"`
	ErrorCode int    `json:"error_code"`
	RequestID string `json:"request_id"`
}

type PddDdkBase struct {
	ClientId  string `json:"client_id"`
	Type      string `json:"type"`
	Timestamp string `json:"timestamp"`
	DataType  string `json:"data_type"`
	Sign      string `json:"sign"`
}
