package user

import "github.com/gin-gonic/gin"

func InitUserRouter(engine *gin.RouterGroup) {
	v1 := engine.Group("v1")
	{
		v1.POST("/user/open.id/set", OpenIdSet)  //设置openId
		v1.POST("/user/pid/get", PidGet)         //获取pid
		v1.POST("/user/wallet/get", WalletGet)   //用户钱包信息
		v1.POST("/user/order/list", OrderGet)    //获取订单列表
		v1.POST("/user/open.id/get", OpenIdGet)  //根据openId获取信息
		v1.POST("/user/update/name", UpdateName) //更新名字
		v1.POST("/user/list", UserList)          //用户列表
	}
}
