package user

import (
	"duoduo/models/mysql"
	"duoduo/models/user"
	"duoduo/tools/app"
	"fmt"
	"github.com/gin-gonic/gin"
)

// 查询钱包
func WalletGet(c *gin.Context) {
	var inData user.WalletGetRequest
	var outData user.WalletGetResponse
	var wallet mysql.Wallet

	err := c.ShouldBindJSON(&inData)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	wallet.OpenID = inData.OpenId
	fmt.Print(wallet.OpenID)
	walletVal, err := wallet.Get()
	if err != nil {
		app.Error(c, 500, err, err.Error())
		return
	}

	//for i := 0; i < len(walletVal); i++ {
	//
	//}
	outData.Wallet = walletVal

	app.OK(c, outData, app.Success)

}
