package pdd

type PddDdkOrderListIncrementGetRequest struct {
	PddDdkBase
	EndUpdateTime   string `json:"end_update_time"` //
	StartUpdateTime string `json:"start_update_time"`
	Page            string `json:"page"` //页码
	PageSize        string `json:"page_size"`
}

type DdkOrderListRequest struct {
}

type PddDdkOrderListIncrementGetResponse struct {
	OrderListGetResponse OrderListGetResponse `json:"order_list_get_response"`
}

type OrderListGetResponse struct {
	TotalCount int         `json:"total_count"`
	OrderList  []OrderList `json:"order_list"`
	RequestID  string      `json:"request_id"`
}
type OrderList struct {
	ActivityTags               []int  `json:"activity_tags"`
	AuthDuoID                  int    `json:"auth_duo_id"`
	BatchNo                    string `json:"batch_no"`
	CatIds                     []int  `json:"cat_ids"`
	CpaNew                     int    `json:"cpa_new"`
	CpsSign                    string `json:"cps_sign"`
	CustomParameters           string `json:"custom_parameters"`
	FailReason                 string `json:"fail_reason"`
	GoodsID                    int64  `json:"goods_id"`
	GoodsName                  string `json:"goods_name"`
	GoodsPrice                 int    `json:"goods_price"`
	GoodsQuantity              int    `json:"goods_quantity"`
	GoodsSign                  string `json:"goods_sign"`
	GoodsThumbnailURL          string `json:"goods_thumbnail_url"`
	GroupID                    int64  `json:"group_id"`
	IsDirect                   int    `json:"is_direct"`
	MallID                     int    `json:"mall_id"`
	OrderAmount                int64  `json:"order_amount"`
	OrderCreateTime            int64  `json:"order_create_time"`
	OrderGroupSuccessTime      int64  `json:"order_group_success_time"`
	OrderID                    string `json:"order_id"`
	OrderModifyAt              int    `json:"order_modify_at"`
	OrderPayTime               int    `json:"order_pay_time"`
	OrderReceiveTime           int    `json:"order_receive_time"`
	OrderSettleTime            int    `json:"order_settle_time"`
	OrderSn                    string `json:"order_sn"`
	OrderStatus                int    `json:"order_status"`
	OrderStatusDesc            string `json:"order_status_desc"`
	OrderVerifyTime            int    `json:"order_verify_time"`
	PID                        string `json:"p_id"`
	PointTime                  int    `json:"point_time"`
	PriceCompareStatus         int    `json:"price_compare_status"`
	PromotionAmount            int64  `json:"promotion_amount"`
	PromotionRate              int    `json:"promotion_rate"`
	ReturnStatus               int    `json:"return_status"`
	SepDuoID                   int    `json:"sep_duo_id"`
	SepMarketFee               int    `json:"sep_market_fee"`
	SepParameters              string `json:"sep_parameters"`
	SepPid                     string `json:"sep_pid"`
	SepRate                    int    `json:"sep_rate"`
	ShareAmount                int    `json:"share_amount"`
	ShareRate                  int    `json:"share_rate"`
	SubsidyAmount              int    `json:"subsidy_amount"`
	SubsidyDuoAmountLevel      int    `json:"subsidy_duo_amount_level"`
	SubsidyDuoAmountTenMillion int    `json:"subsidy_duo_amount_ten_million"`
	SubsidyType                int    `json:"subsidy_type"`
	Type                       int    `json:"type"`
	URLLastGenerateTime        int    `json:"url_last_generate_time"`
	ZsDuoID                    int    `json:"zs_duo_id"`
}
