package user

import (
	"duoduo/models/mysql"
	"github.com/shopspring/decimal"
)

type OrderGetRequest struct {
	OpenId     string `json:"openId"`
	UserStatus int    `json:"userStatus"` //0 -本人订单 1-下级订单 2-下下级订单
	PageSize   int    `json:"pageSize"`
	PageIndex  int    `json:"pageIndex"`
}

type OrderGetResponse struct {
	OrderInfo []OrderInfo `json:"orderInfo"`
}

type OrderInfo struct {
	Order  mysql.Order     `json:"order"`
	Amount decimal.Decimal `json:"amount"`
}
